Subject: Re: [rrg] Folks might be interested in these comments [[email-masked]: [IP] the undead urban myth of the LOC/EID split]

From: "Damian Lezama" <[email-masked]>
Date: Thu, 13 Nov 2008 19:58:28 -0800

Hello,

I really don't see a contradiction between LOC/EID separation and John Day's
book. Just the opposite. What I understand is that en EID could be
considered as a "name" under the book's nomenclature (a terrible format for
a name, but you can always translate it to something you like) and a RLOC is
an "address". I know it's not exactly the same way the book puts it, but I
think it works, am I missing something here? Thanks.

Regards,
Damian

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of David
Meyer
Sent: October-30-08 7:53 AM
To: [email-masked]
Subject: [rrg] Folks might be interested in these comments [[email-masked]:
[IP] the undead urban myth of the LOC/EID split]

----- Forwarded message from David Farber <[email-masked]> -----
> From: David Farber <[email-masked]>
> To: ip <[email-masked]>
> Subject: [IP] the undead urban myth of the LOC/EID split
> Date: Thu, 30 Oct 2008 02:54:17 -0400
> 
>
>
> Begin forwarded message:
>
> From: [email-masked] (Mike O'Dell)
> Date: October 29, 2008 8:28:25 PM EDT
> To: [email-masked]
> Subject: the undead urban myth of the LOC/EID split
>
>
> Dave,
>
> an indulgence if you would.
>
> there is a persistent urban myth (which gets repeated here with some 
> frequency) which states that splitting "network addresses" into 
> location-dependent and location-independent components is the secret 
> to life, the universe, and everything.
>
> i know that myth quite well because once upon a time i subscribed to 
> it and made a serious proposal to do just that with IPv6.
>
> But if you want to find out why the myth is wrong and what it takes to 
> have it work right from first principles, you're going to have to read 
> a book that will likely take some work:
>
> 	"Patterns in Network Architecture:
> 	 A Return to Fundamentals"
> 	 	by John Day
>
> It contains more than a few deeply profound insights.
> Among other things, you'll discover why "global addresses" are an 
> abberation, and that "NAT" is an absolutely natural technique to use 
> in structure networks - it's just the introduction of an arbitrary 
> abstraction encapusulation. In fact, the ugliness of "NAT" is directly 
> related to how, uh, "unfortunate" the underlying architecture really 
> is.
>
> this is indeed a shameless plug for John's remarkable book.
> if you really want to know what a clean, deeply elegant network 
> architecture based on solid fundamentals can look like, read his book.
>
> 	cheers,
> 	-mo
>
> Full and Fair Disclosure:
> I reviewed the text along the way as a work in progress.
>
>
>
>
>
>
>
> -------------------------------------------
> Archives: https://www.listbox.com/member/archive/247/=now
> RSS Feed: https://www.listbox.com/member/archive/rss/247/
> Powered by Listbox: http://www.listbox.com

----- End forwarded message -----

_______________________________________________
rrg mailing list
[email-masked]
https://www.irtf.org/mailman/listinfo/rrg